### Function

# GLib try_malloc0

since: 2.8

#### Declaration [src]

    gpointer
    g_try_malloc0 (
      gsize n_bytes
    )

#### Description [src]

Attempts to allocate `n_bytes`, initialized to 0’s, and returns `NULL` on failure. Contrast with g_malloc0(), which aborts the program on failure.

Available since: 2.8

#### Parameters

`n_bytes`

  Type: `gsize`

  Number of bytes to allocate.

#### Return value

Type: `gpointer`

The allocated memory, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.